## org.h2.build.code
Class CheckTextFiles

    java.lang.Object
      org.h2.build.code.CheckTextFiles

    public class CheckTextFiles

extends java.lang.Object

This tool checks that source code files only contain the allowed set of characters, and that the copyright license is included in each file. It also removes trailing spaces.

Constructor Summary
`CheckTextFiles()`

Method Summary
`void` `checkOrFixFile(java.io.File file, boolean fix, boolean checkLicense)` Check a source code file.
`static void` `main(java.lang.String... args)` This method is called when executing this application from the command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckTextFiles

    public CheckTextFiles()

Method Detail

### main

    public static void main(java.lang.String... args)
                     throws java.lang.Exception

  This method is called when executing this application from the command line.

  Parameters:
    `args` - the command line parameters
  Throws:
    `java.lang.Exception`

### checkOrFixFile

    public void checkOrFixFile(java.io.File file,
                               boolean fix,
                               boolean checkLicense)
                        throws java.lang.Exception

  Check a source code file. The following properties are checked: copyright, license, incorrect source switches, trailing white space, newline characters, tab characters, and characters codes (only characters below 128 are allowed).

  Parameters:
    `file` - the file to check
    `fix` - automatically fix newline characters and trailing spaces
    `checkLicense` - check the license and copyright
  Throws:
    `java.lang.Exception`